Create Text Chat Session
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"initial_context": {},
"annotations": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions"
payload = {
"name": "<string>",
"initial_context": {},
"annotations": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', initial_context: {}, annotations: {}})
};
fetch('https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'initial_context' => [
],
'annotations' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"initial_context\": {},\n \"annotations\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"initial_context\": {},\n \"annotations\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"initial_context\": {},\n \"annotations\": {}\n}"
response = http.request(request)
puts response.read_body{
"workflow_run_id": 123,
"workflow_id": 123,
"name": "<string>",
"mode": "<string>",
"state": "<string>",
"is_completed": true,
"revision": 123,
"session_data": {},
"checkpoint": {},
"created_at": "2023-11-07T05:31:56Z",
"initial_context": {},
"gathered_context": {},
"annotations": {},
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Text Chat Session
POST
/
api
/
v1
/
workflow
/
{workflow_id}
/
text-chat
/
sessions
Create Text Chat Session
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"initial_context": {},
"annotations": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions"
payload = {
"name": "<string>",
"initial_context": {},
"annotations": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', initial_context: {}, annotations: {}})
};
fetch('https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'initial_context' => [
],
'annotations' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"initial_context\": {},\n \"annotations\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"initial_context\": {},\n \"annotations\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/text-chat/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"initial_context\": {},\n \"annotations\": {}\n}"
response = http.request(request)
puts response.read_body{
"workflow_run_id": 123,
"workflow_id": 123,
"name": "<string>",
"mode": "<string>",
"state": "<string>",
"is_completed": true,
"revision": 123,
"session_data": {},
"checkpoint": {},
"created_at": "2023-11-07T05:31:56Z",
"initial_context": {},
"gathered_context": {},
"annotations": {},
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Response
Successful Response

